commit 59fa909de87d3658462e6f8220b545c285581e78
Author: Iain Sandoe <iain@sandoe.co.uk>
Date:   Wed Sep 18 17:46:32 2024 +0100

    Darwin: Allow for as versions that need '-' for std in.
    
    Recent versions of Xcode as require a dash to read from standard
    input.  We can use this on all supported OS versions so make it
    unconditional.  Patch from Mark Mentovai.
    
    gcc/ChangeLog:
    
            * config/darwin.h (AS_NEEDS_DASH_FOR_PIPED_INPUT): New.
    
    Signed-off-by: Iain Sandoe <iain@sandoe.co.uk>
    (cherry picked from commit 33ccc1314dcdb0b988a9276ca6b6ce9b07bea21e)

diff --git a/gcc/config/darwin.h b/gcc/config/darwin.h
index 377599074a7..0d8886c026c 100644
--- a/gcc/config/darwin.h
+++ b/gcc/config/darwin.h
@@ -648,6 +648,8 @@ extern GTY(()) int darwin_ms_struct;
 #define ASM_OPTIONS "%{v} %{w:-W} %{I*}"
 #endif
 
+#define AS_NEEDS_DASH_FOR_PIPED_INPUT
+
 /* Default Darwin ASM_SPEC, very simple. */
 #define ASM_SPEC \
 "%{static} -arch %(darwin_arch) " \

